#
# spec file for package xtrap
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           xtrap
Version:        1.0.2
Release:        13.7
License:        MIT
Summary:        XTrap sample clients
Url:            http://xorg.freedesktop.org/
Group:          System/X11/Utilities
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtrap)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides sample clients for the XTrap X Server Extension.
XTrap is an extension which facilitates the capturing of server
protocol and synthesizing core input events.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xtrapchar
%{_bindir}/xtrapin
%{_bindir}/xtrapinfo
%{_bindir}/xtrapout
%{_bindir}/xtrapproto
%{_bindir}/xtrapreset
%{_bindir}/xtrapstats
%{_mandir}/man1/xtrap.1x%{?ext_man}
%{_mandir}/man1/xtrapchar.1x%{?ext_man}
%{_mandir}/man1/xtrapin.1x%{?ext_man}
%{_mandir}/man1/xtrapinfo.1x%{?ext_man}
%{_mandir}/man1/xtrapout.1x%{?ext_man}
%{_mandir}/man1/xtrapproto.1x%{?ext_man}
%{_mandir}/man1/xtrapreset.1x%{?ext_man}
%{_mandir}/man1/xtrapstats.1x%{?ext_man}

%changelog
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xtrap from xorg-x11. Initial version: X11R7.1-1.0.2.
